## org.eclipse.emf.codegen.ecore.genmodel
Interface GenTypeParameter

All Superinterfaces:
  EObject, GenBase, Notifier

All Known Implementing Classes:
  GenTypeParameterImpl

    public interface GenTypeParameter

extends GenBase

A representation of the model object 'Gen Type Parameter'.

The following features are supported:

- `Ecore Type Parameter`

See Also:
  `GenModelPackage.getGenTypeParameter()`

Method Summary
`ETypeParameter` `getEcoreTypeParameter()` Returns the value of the 'Ecore Type Parameter' reference
`java.lang.String` `getName()`
`java.lang.String` `getQualifiedModelInfo()`
`void` `initialize(ETypeParameter eTypeParameter)`
`boolean` `isUsed()`
`boolean` `reconcile(GenTypeParameter oldGenTypeParameterVersion)`
`void` `setEcoreTypeParameter(ETypeParameter value)` Sets the value of the '`Ecore Type Parameter`' reference

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEcoreTypeParameter

    ETypeParameter getEcoreTypeParameter()

  Returns the value of the 'Ecore Type Parameter' reference.

  If the meaning of the 'Ecore Type Parameter' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ecore Type Parameter' reference.
  See Also:
    `setEcoreTypeParameter(ETypeParameter)`, `GenModelPackage.getGenTypeParameter_EcoreTypeParameter()`

### setEcoreTypeParameter

    void setEcoreTypeParameter(ETypeParameter value)

  Sets the value of the '`Ecore Type Parameter`' reference.

  Parameters:
    `value` - the new value of the 'Ecore Type Parameter' reference.
  See Also:
    `getEcoreTypeParameter()`

### getName

    java.lang.String getName()

### initialize

    void initialize(ETypeParameter eTypeParameter)

### reconcile

    boolean reconcile(GenTypeParameter oldGenTypeParameterVersion)

### isUsed

    boolean isUsed()

### getQualifiedModelInfo

    java.lang.String getQualifiedModelInfo()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.